# FoundationClasses
TKernel
Storage

# Storage_HPArray Class Reference

`#include <Storage_HPArray.hxx>`

Inheritance diagram for Storage_HPArray:

[legend]

## Public Member Functions

Standard_EXPORT | Storage_HPArray (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | Storage_HPArray (const Standard_Integer Low, const Standard_Integer Up, const Handle(Standard_Persistent)&V)
Standard_EXPORT void | Init (const Handle(Standard_Persistent)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(Standard_Persistent)&Value)
const Handle_Standard_Persistent & | Value (const Standard_Integer Index) const
Handle_Standard_Persistent & | ChangeValue (const Standard_Integer Index)
const Storage_PArray & | Array1 () const
Storage_PArray & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Storage_PArray | myArray

## Constructor & Destructor Documentation

Standard_EXPORT Storage_HPArray::Storage_HPArray | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT Storage_HPArray::Storage_HPArray | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(Standard_Persistent)& | V
| ) |

## Member Function Documentation

const Storage_PArray& Storage_HPArray::Array1 | ( |  | ) | const

Storage_PArray& Storage_HPArray::ChangeArray1 | ( |  | ) |

Handle_Standard_Persistent& Storage_HPArray::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const Storage_HPArray::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MMgt_TShared.

Standard_EXPORT void Storage_HPArray::Init | ( | const Handle(Standard_Persistent)& | V | ) |

Standard_Integer Storage_HPArray::Length | ( |  | ) | const

Standard_Integer Storage_HPArray::Lower | ( |  | ) | const

void Storage_HPArray::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(Standard_Persistent)& | Value
| ) |

Standard_Integer Storage_HPArray::Upper | ( |  | ) | const

const Handle_Standard_Persistent& Storage_HPArray::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

Storage_PArray Storage_HPArray::myArray `[private]`

The documentation for this class was generated from the following file:

- Storage_HPArray.hxx